package cn.dankal.test.cloud.consumer;

import cn.dankal.test.cloud.consumer.input.DankalMessageInput;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cloud.stream.annotation.EnableBinding;

/**
 * @author ZGH.MercyModest
 * @version V1.0.0
 * @create 2021-02-01
 */
@SpringBootApplication
@EnableBinding({DankalMessageInput.class})
public class SpringCloudStreamKafkaConsumerApplication {

    public static void main(String[] args) {
        SpringApplication.run(SpringCloudStreamKafkaConsumerApplication.class, args);
    }
}
