package cn.dankal.test.cloud.producer.common;

import cn.hutool.core.util.StrUtil;

/**
 * @author ZGH.MercyModest
 * @version V1.0.0
 * @create 2021-01-28
 */
public class Common {
    /**
     * 获取 Spring Kafka  Consumer 线程名称
     *
     * @param rowThreadName 未处理的 thread name
     * @return 处理后的线程名称
     */
    public static String getSpringKafkaConsumerName(String rowThreadName) {
        if (StrUtil.isBlank(rowThreadName)) {
            return rowThreadName;
        }
        return rowThreadName.split("#")[1];
    }
}
