package cn.dankal.test.cloud.producer.output;

import org.springframework.cloud.stream.annotation.Output;
import org.springframework.messaging.MessageChannel;

/**
 * @author ZGH.MercyModest
 * @version V1.0.0
 * @create 2021-02-01
 */
public interface KafkaDankalMessageOutput {

    /**
     * spring-cloud-stream-kafka: 测试 JSON 消息
     *
     * @return MessageChannel
     */
    @Output("kafka-dankal-message-output")
    MessageChannel kafkaDankalMessageOutput();
}
